<application>
  <component name="CodeFoldingSettings">
    <option name="COLLAPSE_IMPORTS" value="false" />
  </component>
  <component name="CodeInsightSettings">
    <option name="AUTO_POPUP_JAVADOC_INFO" value="true" />
    <option name="JAVADOC_INFO_DELAY" value="100" />
    <option name="REFORMAT_BLOCK_ON_RBRACE" value="false" />
    <option name="INDENT_TO_CARET_ON_PASTE" value="true" />
    <option name="HIGHLIGHT_SCOPE" value="true" />
  </component>
  <component name="CodeVisionSettings">
    <option name="codeVisionGroupToPosition">
      <map>
        <entry key="inheritors" value="Default" />
        <entry key="problems" value="Right" />
        <entry key="references" value="Default" />
        <entry key="vcs.code.vision" value="Default" />
      </map>
    </option>
    <option name="disabledCodeVisionProviderIds">
      <set>
        <option value="vcs.code.vision" />
      </set>
    </option>
  </component>
  <component name="EditorSettings">
    <option name="USE_SOFT_WRAPS" value="CONSOLE" />
    <option name="IS_WHITESPACES_SHOWN" value="true" />
    <option name="IS_LEADING_WHITESPACES_SHOWN" value="false" />
    <option name="IS_INNER_WHITESPACES_SHOWN" value="false" />
  </component>
  <component name="InlayHintsSettings">
    <option name="disabledHintProviderIds">
      <set>
        <option value="JAVA.java.implicit.types" />
      </set>
    </option>
    <option name="lastViewedProviderKeyId" value=".references" />
    <settingsMapElement>
      <kotlin.kotlin.references.types.hints>
        <Settings>
          <option name="functionReturnType" value="true" />
          <option name="localVariableType" value="true" />
          <option name="parameterType" value="true" />
          <option name="propertyType" value="true" />
        </Settings>
      </kotlin.kotlin.references.types.hints>
    </settingsMapElement>
  </component>
</application>